aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/cxx1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/cxx1.sh')
-rwxr-xr-xtestsuite/cxx1.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/testsuite/cxx1.sh b/testsuite/cxx1.sh
index a48cc65..81428c2 100755
--- a/testsuite/cxx1.sh
+++ b/testsuite/cxx1.sh
@@ -11,7 +11,9 @@ savelibs
echo $PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx1 > cxx1.log
$PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx1 >> cxx1.log 2>&1 || exit 1
grep ^`echo $PRELINK | sed 's/ .*$/: /'` cxx1.log | grep -q -v 'C++ conflict' && exit 2
-LD_LIBRARY_PATH=. ./cxx1 || exit 3
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./cxx1 || exit 3
+fi
readelf -a ./cxx1 >> cxx1.log 2>&1 || exit 4
# So that it is not prelinked again
chmod -x ./cxx1